Class | SOAP::RPC::SOAPMethodRequest
In: | soap/rpc/element.rb
Parent: | SOAPMethod

### Methods

create_method_response create_request dup each new

### Attributes

soapaction | [RW] |

### Public Class methods

create_request(qname, *params)

[Source]

    # File soap/rpc/element.rb, line 221
      def SOAPMethodRequest.create_request(qname, *params)
        param_def = []
        param_value = []
        i = 0
        params.each do |param|
          param_name = "p#{i}"
          i += 1
          param_def << [IN, param_name, nil]
          param_value << [param_name, param]
        end
        param_def << [RETVAL, 'return', nil]
        o = new(qname, param_def)
        o.set_param(param_value)
        o
      end

new(qname, param_def = nil, soapaction = nil)

[Source]

    # File soap/rpc/element.rb, line 237
      def initialize(qname, param_def = nil, soapaction = nil)
        check_elename(qname)
        super(qname, param_def)
        @soapaction = soapaction
      end

### Public Instance methods

create_method_response(response_name = nil)

[Source]

    # File soap/rpc/element.rb, line 258
      def create_method_response(response_name = nil)
        response_name ||=
          XSD::QName.new(@elename.namespace, @elename.name + 'Response')
        SOAPMethodResponse.new(response_name, @param_def)
      end

dup()

[Source]

    # File soap/rpc/element.rb, line 252
      def dup
        req = self.class.new(@elename.dup, @param_def, @soapaction)
        req.encodingstyle = @encodingstyle
        req
      end

each() {|name, @inparam[name]| ...}

[Source]

    # File soap/rpc/element.rb, line 243
      def each
        input_params.each do |name|
          unless @inparam[name]
            raise ParameterError.new("parameter: #{name} was not given")
          end
          yield(name, @inparam[name])
        end
      end

[Validate]